Page MenuHomePhabricator

Create the 'Event coordinator' user group on English Wikipedia
Closed, ResolvedPublic2 Story Points

Description

There is currently an active RfC on English Wikipedia about creating a new user group for event coordinators. If the RfC concluded with a consensus to build the group, the work will be tracked in this ticket.

The current proposal states that:

  1. The eventcoordinator user group will receive the ability to temporarily add +confirmed to newly created accounts, and will also receive the noratelimit right in order to help with account creation. This will allow the Confirmed new accounts to create mainspace pages without waiting 4 days and 10 edits and allow the creation of many new accounts from the same IP address.
  2. Event coordinators should set the expiry time of the confirmed user right to no more than ten days from the time it is granted.
  3. Administrators should only permanently grant the eventcoordinator user right to editors with an established record of editing on Wikipedia. Administrators may at their discretion temporarily grant the permission to editors who are organizing outreach events but do not have significant experience on Wikipedia. Users who have not edited in over a year may have the permission removed for inactivity.
  4. Event coordinators should only confirm users who actually participate in an outreach event.

Acceptance criteria
  • On English Wikipedia, create a new user group for Event coordinators, with the name eventcoordinator
  • Users in this group should:
    • be able to mark newly created accounts as confirmed.
    • not be limited in the amount of accounts they can create on the same IP address (noratelimit)
  • Administrators should be able to grant and revoke this permission

The other requirements in the RfC will be enforced socially, not via the software.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2018, 7:19 PM
TBolliger triaged this task as Normal priority.
JJMC89 added a subscriber: JJMC89.Apr 25 2018, 7:24 PM
kaldari set the point value for this task to 2.

Change 430418 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Create the 'eventcoordinator' user group on enwiki

https://gerrit.wikimedia.org/r/430418

On English Wikipedia, create a new user group for Event coordinators, with the name eventcoordinator
Users in this group should:
be able to mark newly created accounts as confirmed.
not be limited in the amount of accounts they can create on the same IP address (noratelimit)
The other requirements in the RfC will be enforced socially, not via the software.

@TBolliger In my patch I've allowed admins to grant this new right, as I read in the RfC. Because if nobody can give it, it'll not be very useful :)
Feel free to review my change to be sure it's what's excepted.
IDK how enwiki handle RfC, when can I consider it closed ?

TBolliger updated the task description. (Show Details)May 2 2018, 5:52 PM
TBolliger edited projects, added Community-Tech-Sprint; removed Community-Tech.

@Framawiki Ah yes, I missed specifying that. Added, good catch!

Someone from Community-Tech will be sure to review your work, thank you!

the RfC will be closed by someone when the discussion "naturally ends" so we'll wait for release until it's been closed.

kaldari added a comment.EditedMay 2 2018, 6:56 PM

We also need to create a group-eventcoordinator message in the WikimediaMessages extension.

Change 431304 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Add eventcoordinator into WikimediaMessages

https://gerrit.wikimedia.org/r/431304

Change 431304 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add eventcoordinator into WikimediaMessages

https://gerrit.wikimedia.org/r/431304

Great to hear!

@kaldari — can you review this? Or assign to someone else on CommTech to review and deploy?

There is no need for calling for ComTech. This can be sliently added to the calendar and deployed during SWAT windows (place where config changes happen).

Urbanecm assigned this task to Framawiki.

Assigning to you as patch uploader. Please schedule.

Should be admins able to revoke eventcoordinator permissions?

Ahecht added a comment.EditedMay 8 2018, 7:51 PM

@Urbanecm the task description says "Administrators should be able to grant and revoke this permission". Line 10967 in InitialiseSettings.php needs to be updated accordingly.

didn't see the "revoke" part. Will update.

@kaldari — can you review this? Or assign to someone else on CommTech to review and deploy?

The code part is already merged. Looks like the config changes can be handled without me :)

Point 2 says "Event coordinators should set the expiry time of the confirmed user right to no more than ten days from the time it is granted." But users are autoconfirmed after four days anyway and so confirmed status should not expire after this time has passed. If there's expiry then you'd get flip-flopping of the user status which would tend to confuse new users. In my experience of attending many outreach events, all the attendees are likely to be good faith users and so, if an event coordinator vouches for them, they should be accepted as confirmed. For example, see the recent event at the UK's National Archives.

Andrew

The confirmed status is just autoconfirmed in advance. When you are
autoconfirmed, you do not need the confirmed flag anymore. Thats the reason
it should expire automatically, ideally after the user will reach
autoconfirmed automatically.

Dne st 9. kvě 2018 19:54 uživatel Andrew_Davidson <
no-reply@phabricator.wikimedia.org> napsal:

Andrew_Davidson added a comment.

Point 2 says "*Event coordinators should set the expiry time of the
confirmed user right to no more than ten days from the time it is granted*."
But users are autoconfirmed after four days anyway and so confirmed status
should not expire after this time has passed. If there's expiry then you'd
get flip-flopping of the user status which would tend to confuse new users.
In my experience of attending many outreach events, all the attendees are
likely to be good faith users and so, if an event coordinator vouches for
them, they should be accepted as confirmed. For example, see the recent
event at the UK's National Archives
https://en.wikipedia.org/wiki/Wikipedia:GLAM/The_National_Archives/Events/Dissidents,_Suffragists_and_Freedom_Fighters
.

Andrew

*TASK DETAIL*
https://phabricator.wikimedia.org/T193075

*EMAIL PREFERENCES*
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

*To: *Framawiki, Andrew_Davidson

*Cc: *Andrew_Davidson, Amorymeltzer, TheDragonFire, Ahecht, Urbanecm,
Framawiki, gerritbot, kaldari, Compassionate727, Richard_Nevell,
BethNaught, JJMC89, Aklapper, TBolliger, Versusxo, Majesticalreaper22,
Giuliamocci, Adrian1985, Cpaulf30, Baloch007, Darkminds3113, Bsandipan,
Lordiis, Adik2382, Jayprakash12345, Th3d3v1ls, Ramalepe, Liugev6,
Zoranzoki21, Lewizho99, Maathavan, DatGuy, Devwaker, Niklitov, JEumerus,
Tulsi_Bhagat, Wong128hk, Luke081515, SimmeD, biplabanand, Snowolf, Dcljr,
Jdforrester-WMF, Matanya, Rxy, Jay8g, Krenair

Ahecht added a comment.May 9 2018, 7:31 PM

While I agree with @Andrew_Davidson that there is no real harm in perminantly granting confirmed status, the 10-day limit was the main difference between this successful RfC and the previous failed one. From what I understand, even "confirmed" users will get "autoconfirmed" status after 4days/10 edits, so "confirmed" dropping off will be transparent to them.

In any case, this is a discussion the belongs at Wikipedia talk:Requests for comment/Event coordinator proposal or Wikipedia talk:Event coordinator, not on Phabricator.

@Andrew_Davidson : this is already the standard practice at PERM for confirmed status. You just set an expiry time (usually a week) in Special:User rights management when granting the flag. Autoconfirmed attaches within the time frame once they've made 10 edits, so the right is superfluous.

Fae added a subscriber: Fae.May 13 2018, 8:20 AM
Fae added a comment.May 13 2018, 8:23 AM

This is a change that affects all projects, not just the English Wikipedia. A RFC is still needed on meta, and all affected projects appropriately notified.

@Fae: This is just a user group on English Wikipedia, every sysop can create an account that is "globalized" - no global RFC is needed IMHO.

Fae added a comment.May 13 2018, 8:42 AM

@Fae: This is just a user group on English Wikipedia, every sysop can create an account that is "globalized" - no global RFC is needed IMHO.

How does allow the creation of many new accounts from the same IP address only affect the English Wikipedia? Unless these are not SUL this task has global impact.

How does allow the creation of many new accounts from the same IP address only affect the English Wikipedia? Unless these are not SUL this task has global impact.

It is already allowed. Admin of every SUL project can create unlimited number of account. This is about delegation of sysop power.

Fae added a comment.May 13 2018, 8:53 AM

It is already allowed. Admin of every SUL project can create unlimited number of account. This is about delegation of sysop power.

This is why a global RFC is needed. English Wikipedia admins are not in a vacuum. If rights that have global impact are to be delegated, then the controlling policy and process must be subject to global review. No other projects have been granted the ability to delegate these rights to non sysops and the English Wikipedia has no special status to do so without proper notification and review at the meta level.

Every wiki can appoint account creators (they are able to creaete unlimited amount of accounts) RIGHT NOW, there's almost no change. There's just allowing them to grant confirmed status => this is affecting only enwiki.

Fae added a comment.May 13 2018, 9:30 AM

Every wiki can appoint account creators (they are able to creaete unlimited amount of accounts) RIGHT NOW, there's almost no change. There's just allowing them to grant confirmed status => this is affecting only enwiki.

I must have misunderstood how a SUL account can be confirmed on the English Wikipedia and not other projects. Is there a document on MW or Meta that explains how that works? Thanks

Autoconfirmed is a right that allows you to move pages (mainly), be excempted from some basic rate limits and so on. This right is granted automatically after 4 days (some wikis requires some number of edits before autopromoting to this status). It is the same like you can be an admin in enwiki but not in dewiki.

The only one thing that is really global is allowing users to create global accounts - but this is possible even now, by account creator user group.

In terms of global account creation this is a limited version of the account creator user group and has less functionality in that regard as it can’t globally override the blacklist or anti-spoof measures.

Confirmed is on a local basis. There are plenty of wikis where I am not autoconfirmed. This is change just allows some users to grant it on a time-limited basis on en.wiki

This has no different global impact then accountcreator, confirmation is a community-local level action and does not have global impact. On enwiki the autoconfirm threshold is currently 4days+10edits, the thresholds vary on other projects. The +confirmed flag on one project does not carry over to any other project.

Deployment scheduled for the next SWAT, in 20 minutes.

Change 430418 merged by jenkins-bot:
[operations/mediawiki-config@master] Create the 'eventcoordinator' user group on enwiki

https://gerrit.wikimedia.org/r/430418

Mentioned in SAL (#wikimedia-operations) [2018-05-14T18:20:07Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Create the eventcoordinator user group on enwiki - T193075 (duration: 01m 02s)

Niharika closed this task as Resolved.May 14 2018, 6:24 PM
Niharika added a subscriber: Niharika.

Annnnd deployed! Thanks to @Framawiki for making the patch and scheduling it.

Thanks for deploying it! Much appreciated

Vvjjkkii renamed this task from Create the 'Event coordinator' user group on English Wikipedia to 47daaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Framawiki as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:14 AM
AfroThundr3007730 renamed this task from 47daaaaaaa to Create the 'Event coordinator' user group on English Wikipedia.Jul 1 2018, 5:58 AM
AfroThundr3007730 closed this task as Resolved.
AfroThundr3007730 lowered the priority of this task from High to Normal.
AfroThundr3007730 assigned this task to Framawiki.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 set the point value for this task to 2.
AfroThundr3007730 edited subscribers, added: GerritBot, Aklapper; removed: Dereckson.